<?php

class Workshop extends CalendarEvent
{
	static $db = array (
		'Category' => "Enum('Industry, Finance, Administration')",
		'Sponsor' => 'Varchar(50)',
		'RegistrationLink' => 'Varchar(100)'
	);
	
	static $has_one = array (
		'Image' => 'Image'
	);

	static $has_many = array (
		'Dates' => 'WorkshopDateTime'
	);
	

	public function getCMSFields()
	{
		$f = parent::getCMSFields();
		$f->addFieldToTab("Root.Content.Main", new TextField('Sponsor'), 'Content');
		$f->addFieldToTab("Root.Content.Main", new TextField('RegistrationLink','Registration Link'),'Content');
		$f->addFieldToTab("Root.Content.Image", new ImageField('Image'));
		$f->addFieldToTab("Root.Content.Main", new DropdownField('Category','Worshop Category', singleton('Workshop')->dbObject('Category')->enumValues()), 'Content');
		
		return $f;
	}

} // end Workshop subclass

class Workshop_Controller extends CalendarEvent_Controller
{
}


?>