<?php

class WorkshopHolder extends Calendar
{
	static $has_many = array (
		'Workshops' => 'Workshop'
	);
	
	static $allowed_children = array (
		'Workshop'
	);
	
	public function getFilterFields()
	{
		$fields = parent::getFilterFields();
		$fields->addFilterField(new DropdownField('Workshop_Category','Category', singleton('Workshop')->dbObject('Category')->enumValues(),null, null, '-- Choose a category --'));
		return $fields;
	}
}

class WorkshopHolder_Controller extends Calendar_Controller
{
	public function init()
	{
		parent::init();
		Requirements::javascript('mysite/javascript/calendar_toggle.js');
	}
}




?>