<?php

class WorkshopDateTime extends CalendarDateTime
{
	static $db = array (
		'Location' => 'Varchar(50)'
	);
	
	static $has_one = array (
		'Workshop' => 'Workshop'
	);

	static $many_many = array (
		'Instructors' => 'StaffMember'
	);
	
	public function extendTable()
	{
		$this->setComplex(true);
		$this->addTableTitles(array(
			'Location' => 'Location'
		));
		$this->removeTableTitle('is_all_day');
		$staff = DataObject::get("StaffMember");
		$map = $staff ? $staff->toDropdownMap('ID','Name') : array();
		$this->addPopupFields(array(
			new TextField('Location'),
			new CheckboxSetField('Instructors','Instructors', $map)
		));
	
	}	
	
}



?>